﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.Mvc;

namespace MvcApplication4.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult UpdateTargetId()
        {
            return View("UpdateTargetId");
        }
        public ActionResult ConfirmMessage()
        {
            return View("Confirm");
        }
        public ActionResult LoadingElementId()
        {
            return View("LoadingElementId");
        }        
        public ActionResult OnBegin()
        {
            return View("OnBegin");
        }        
        public ActionResult InsertionModeBefore()
        {
            return View("InsertionMode.Before");
        }        
        public ActionResult InsertionModeAfter()
        {
            return View("InsertionMode.After");
        }        
        public ActionResult Replace()
        {
            return View("InsertionMode.Replace");
        }

        public ActionResult AjaxAction(string nome, string sobrenome)
        {
            Thread.Sleep(3000);
            var ti = new CultureInfo("pt-BR").TextInfo;
            var nomeFormatado = string.Format("{0} {1}", ti.ToTitleCase(nome), ti.ToTitleCase(sobrenome));

            return PartialView("PartialNomes", nomeFormatado);
        }

    }
}
